clan::Base64Decoder Class Reference - ClanLib SDK
Description: clan::Base64Decoder Class Reference

Public Member Functions | Static Public Member Functions | List of all members
clan::Base64Decoder Class Reference
clanCore Math

Base64 decoder class. More...

`#include <base64_decoder.h>`

## Public Member Functions
| Base64Decoder ()
| Constructs a base64 decoder.
void | feed (const void *data, int size, bool append_result=true)
| Feeds the decoder with base64 encoded data.
DataBuffer & | get_result ()
| Returns the decoded data.
void | reset ()
| Resets the decoder.

## Static Public Member Functions
static DataBuffer | decode (const DataBuffer &data)
| Decode.
static DataBuffer | decode (const std::string &data)
| Decode.
static DataBuffer | decode (const void *data, int size)
| Decode base64 data and return it in a buffer.

## Detailed Description

Base64 decoder class.

## Constructor & Destructor Documentation

## ◆ Base64Decoder()

clan::Base64Decoder::Base64Decoder | ( |  | ) |

Constructs a base64 decoder.

## Member Function Documentation

## ◆ decode() [1/3]

static DataBuffer clan::Base64Decoder::decode | ( | const DataBuffer & | data | ) |
| static

Decode.

Parameters

  data | = Data Buffer

Returns
  Data Buffer

## ◆ decode() [2/3]

static DataBuffer clan::Base64Decoder::decode | ( | const std::string & | data | ) |
| static

Decode.

Parameters

  data | = String Ref8

Returns
  Data Buffer

## ◆ decode() [3/3]

static DataBuffer clan::Base64Decoder::decode | ( | const void * | data,
|  | int | size )
| static

Decode base64 data and return it in a buffer.

## ◆ feed()

void clan::Base64Decoder::feed | ( | const void * | data,
|  | int | size,
|  | bool | append_result = true )

Feeds the decoder with base64 encoded data.

## ◆ get_result()

DataBuffer & clan::Base64Decoder::get_result | ( |  | ) |

Returns the decoded data.

## ◆ reset()

void clan::Base64Decoder::reset | ( |  | ) |

Resets the decoder.

The documentation for this class was generated from the following file:

- base64_decoder.h